/*
 * File: system_init.c
 * Date: 31.08.2012
 * Denis Zheleznyakov http://mcu.ziblog.ru
 */

#include "main.h"

//------------------------------------------------------------------------------
inline static void gpio(void)
{
	// светодиод
	PIN_CONFIGURATION(PIN_LED);

	// кнопка
	PIN_CONFIGURATION(PIN_BUTTON);
}

//------------------------------------------------------------------------------
inline static void clock(void)
{
	// включение тактирования необходимых модулей
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA | RCC_APB2Periph_GPIOC, ENABLE);
}

//------------------------------------------------------------------------------
void SystemInit(void)
{
	clock();

	gpio();
}
